<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{bandejaRegistroVisitasSalaMB.nombreSistema}:.
    </ui:define>
	<ui:define name="titlePages">
		<span>ACCESO A SALA</span>
	</ui:define>
	<ui:define name="urlNavegacion">
		
	</ui:define>
	<ui:define name="content">
	    <div class="row">
			<h:form id="frmBandejaVisitaSala">
				<div class="col-md-12 sin-bg-box text-center">
					<p:fieldset styleClass="ui-fieldset-general">
							<div class="row box-mb">
								<div class="col-sm-12">
										<br/>
										<h:outputText value="PASE SU DOCUMENTO DE IDENTIDAD" style="font-size:35px" /><br/>
										<h:outputText value="Documentos válidos: DNI, Carnet de Investigador o el Código QR." style="font-size:14px" />
								</div>							
							</div>						
							<div class="row box-mb">
								<div class="col-sm-6">
										<p:inputText id="txtCodigo" 
														value="#{bandejaRegistroVisitasSalaMB.registroVisita.registroUsuario.numeroCarnetBiblioteca}" 
														maxlength="15" 
														mask="99999999" 
														style="text-transform:uppercase" 
														styleClass="form-control" 
														tabindex="1" />
								</div>							
								<div class="col-sm-6">
									<p:commandButton id="cbEscanearCodigo" value="Registrar ingreso"
										styleClass="btn btn-default btn-sensitive"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										action="#{bandejaRegistroVisitasSalaMB.registrarVisitaConCodigoEscaneado}"
										update="frmBandejaVisitaSala" ajax="true" />
								</div>
							</div>
					</p:fieldset>
					<div class="row box-mb">
						<div class="col-sm-12">
							<p:commandButton id="idPasoEscribirCodigo" value="No tengo el documento"
								styleClass="btn btn-default btn-sensitive"
								onclick="PF('statusDialog').show()"
								oncomplete="PF('statusDialog').hide()"
								action="#{bandejaRegistroVisitasSalaMB.iniciarRegistroVisitaConCodigoEscrito}"
								update="frmBandejaVisitaSala" ajax="true" />
						</div>
					</div>					
				</div>
			</h:form>
		</div>
	</ui:define>

</ui:composition>